Article ID: 2187, created on Mar 19, 2009, last review on May 11, 2014

  • Applies to:
  • Plesk 8.x for Linux/Unix
  • Plesk 7.5.x Reloaded

Résolution

Pour être bref, la raison est 'non'. Pour les applications Web, Parallels Plesk Panel utilise PHP qui est chargé en tant que module DSO Apache. Il est très difficile d'avoir à la fois les modules php4 et php5 dans Apache en même temps, à cause de l'espace de nom commun.

En général, les solutions possibles pour avoir à la fois PHP4 et PHP5 sont par exemple :

- exécutez les deux copies Apache indépendantes pour chaque module PHP,
- exécutez l'un des PHP en tant que module et l'autre en tant que CGI/suPHP
- compilez les modules PHP avec des personnalisations spéciales manuelles dans les sources des modules pour empêcher leur intersection.

Aucune des ces options n'a été testée avec Parallels Plesk Panel et aucune n'est officiellement prise en charge par les versions actuelles. Parallels Plesk Panel suppose que le système a un pack Apache standard qui charge le module PHP standard (qui ne peut être qu'unique). Notez que ni PHP ni le serveur Web Apache ne font partie du logiciel Parallels Plesk Panel, il utilise les services standards qui sont installés sur le serveur (dans la plupart des cas, ce sont des packs standards de vendeur d'OS).

29d1e90fd304f01e6420fbe60f66f838 a914db3fdc7a53ddcfd1b2db8f5a1b9c b8ef5052d936e902043e41759118114e 097728dc0a325f6309aa7a3997d4cacc 56797cefb1efc9130f7c48a7d1db0f0c

Email subscription for changes to this article
Save as PDF